# TdApi.AuthenticationCodeTypeTelegramMessage

Package it.ernytech.tdlib

## Class TdApi.AuthenticationCodeTypeTelegramMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthenticationCodeType
    - - it.ernytech.tdlib.TdApi.AuthenticationCodeTypeTelegramMessage

Enclosing class:
  TdApi

    public static class TdApi.AuthenticationCodeTypeTelegramMessage
    extends TdApi.AuthenticationCodeType

An authentication code is delivered via a private Telegram message, which can be viewed in another client.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `length` Length of the code.

### Constructor Summary

Constructors
`AuthenticationCodeTypeTelegramMessage()` Default constructor.
`AuthenticationCodeTypeTelegramMessage​(int length)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### length

    public int length

Length of the code.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AuthenticationCodeTypeTelegramMessage

    public AuthenticationCodeTypeTelegramMessage()

Default constructor.

#### AuthenticationCodeTypeTelegramMessage

    public AuthenticationCodeTypeTelegramMessage​(int length)

Constructor for initialization of all fields.

Parameters:
  `length` - Length of the code.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR